<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Tasks
        1. JavaScript Program to Swap Two Variables
        2. JavaScript Program to Check Prime Number
        3. JavaScript Program to Find Sum of Natural Numbers Using Recursion
        4. JavaScript Program to Replace Characters of a String
        5. JavaScript Program to Loop Through an Object
    -->
    <title>Task1</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <script>
    function swap()
    {
        var a = parseInt(document.getElementById('Aid').value);
        var b = parseInt(document.getElementById('Bid').value);
        // swapping using addition and subtraction
        a = a+b;
        b = a-b;
        a = a-b;
        document.getElementById("SwappedA").innerHTML=a;
        document.getElementById("SwappedB").innerHTML=b;
    }
    </script>
    <div>
        <!-- getting the variables as input and assigning them to a and b -->
        <h1>Swap two variables</h1>
        <p>Enter the first variable</p>
        <input id="Aid">
        <p>Enter the second variable</p>
        <input id="Bid">  
        <p id="SwappedA">First variable after swapping</p>
        <p id="SwappedB">Second variable after swapping</p>  
        <button style="color: brown;width: auto;height: auto;" onclick="swap()">Enter</button>
    </div>

</body>
</html>